Update Event Icon
curl --request PUT \
--url https://api.decodahealth.com/user/event-icons/{icon_id} \
--header 'API-KEY: <api-key>' \
--header 'Content-Type: application/json' \
--header 'TENANT: <tenant>' \
--data '
{
"emoji": "<string>",
"color": "<string>",
"isActive": true
}
'import requests
url = "https://api.decodahealth.com/user/event-icons/{icon_id}"
payload = {
"emoji": "<string>",
"color": "<string>",
"isActive": True
}
headers = {
"TENANT": "<tenant>",
"API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {TENANT: '<tenant>', 'API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({emoji: '<string>', color: '<string>', isActive: true})
};
fetch('https://api.decodahealth.com/user/event-icons/{icon_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"emoji": "<string>",
"color": "<string>",
"isActive": true,
"createdDate": "2023-11-07T05:31:56Z",
"updatedDate": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Patients
Update Event Icon
Update an event icon.
PUT
/
user
/
event-icons
/
{icon_id}
Update Event Icon
Headers
The tenant you are making this request on behalf of
Your api key
Path Parameters
Body
application/json
Response
Successful Response
Unique identifier for the event icon
Type of event icon
Available options:
BOOKING_FEE_PAID, NEW_PATIENT, SCHEDULED_BY_AI, FORM_COMPLETED, CHECKED_IN Emoji for the icon
Color code for the icon (hex format)
Whether the icon is active
Date and time when the icon was created
Date and time when the icon was last updated
⌘I
